play.jobs

## Annotation Type OnApplicationStart

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface OnApplicationStart

  A job run at application start. Jobs can be executed in the background if you set async == true. This will make your app start accepting incoming requests faster.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `async` set this to true if you want the job to run in the background when your application starts.

- - ### Element Detail

    - #### async

          public abstract boolean async

      set this to true if you want the job to run in the background when your application starts.
      Returns:
        true if job will be executed async on program start
      Default:
        false

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly